/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomWheelEvent_H__
#define __GdomWheelEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMWindow.h"
#include "gdom/GdomUIEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomWheelEvent GdomWheelEvent;
typedef struct _GdomWheelEventClass GdomWheelEventClass;


#define GDOM_TYPE_WHEEL_EVENT            (gdom_wheel_event_get_type())
#define GDOM_WHEEL_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_WHEEL_EVENT, GdomWheelEvent))
#define GDOM_WHEEL_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_WHEEL_EVENT, GdomWheelEvent)Class)
#define GDOM_IS_WHEEL_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_WHEEL_EVENT))
#define GDOM_IS_WHEEL_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_WHEEL_EVENT))
#define GDOM_WHEEL_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_WHEEL_EVENT, GdomWheelEventClass))

typedef struct _GdomWheelEventPrivate GdomWheelEventPrivate;

struct _GdomWheelEvent {
    GdomUIEvent parent_instance;
    GdomWheelEventPrivate *priv;
};

struct _GdomWheelEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_wheel_event_get_type (void);

WEBKIT_API void
gdom_wheel_event_init_wheel_event (GdomWheelEvent *thiz, glong wheel_delta_x, glong wheel_delta_y, GdomDOMWindow * view, glong screen_x, glong screen_y, glong client_x, glong client_y, gboolean ctrl_key, gboolean alt_key, gboolean shift_key, gboolean meta_key);

G_END_DECLS

#endif /* __GdomWheelEvent_H__ */
